バージョン選択

フォーラム

メニュー

オンライン状況

199 人のユーザが現在オンラインです。 (181 人のユーザが フォーラム を参照しています。)
登録ユーザ: 0
ゲスト: 199
もっと...

サイト内検索

プラグイン > バグ報告・利用に関する質問 > プラグインのインストールができません。

バグ報告・利用に関する質問

新規スレッドを追加する

スレッド表示 | 古いものから 前のトピック | 次のトピック | 下へ
投稿者 スレッド
mcontact
投稿日時: 2023/3/2 20:11
対応状況: −−−
登録日: 2022/1/22
居住地:
投稿: 1351
Re: プラグインのインストールができません。
EC-CUBEのログは確認できますか?
どのようなエラーが出ますでしょうか?
var/log/prod/site-yyyy-mm-dd.log に「システムエラーが発生しました」といった行がありましたらご提示ください。

またインストールログを見る限りですと、

> php-http/discovery contains a Composer plugin which is blocked by your allo
> w-plugins config. You may add it to the list if you consider it safe.
> You can run "composer config --no-plugins allow-plugins.php-http/discovery
> [true|false]" to enable it (true) or disable it explicitly and suppress thi
> s exception (false)
> See https://getcomposer.org/allow-plugins

と出ているので、Composer周りでエラーが出ている雰囲気かと思います。
Composer周りを何かいじっていたりしませんか?


----------------
>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
EC-CUBEインテグレートパートナー【ゴールド】ランク
M&I Works
URL: https://miworks.biz/
>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

taro0129
投稿日時: 2023/3/2 17:15
対応状況: 確認中
新米
登録日: 2022/11/29
居住地:
投稿: 3
プラグインのインストールができません。
▼テンプレート
[EC-CUBE] 4.2.0 (新規インストール:レンタルサーバの簡単インストール機能を利用)
[レンタルサーバ] シン・レンタルサーバー(スタンダード)
[OS] Linux sv14082.xserver.jp 5.4.0-139-generic #156~18.04.1-Ubuntu SMP Wed Jan 25 15:56:22 UTC 2023 x86_64
[PHP] 8.0.25
[データベース] MySQL 10.5.15-MariaDB-log
[WEBサーバ] Apache
[ブラウザ] mac safari
[導入プラグインの有無] 無し。(デフォルトインストール済みはあり)
[カスタマイズの有無] 無し。
[現象] オーナーズストアからPayPalプラグインをインストールしようとしたところ、以下のようなエラーが出てインストールすることができません。
PayPalプラグイン:https://www.ec-cube.net/products/detail.php?product_id=2571

**************** PayPalCheckout42 ****************
<warning>A script named compile would override a Composer command and has been skipped</warning>
<warning>A script named auto-scripts would override a Composer command and has been skipped</warning>
<warning>A script named installer-scripts would override a Composer command and has been skipped</warning>
[12.0MiB/0.93s] Using version ^3.0 for ec-cube/paypalcheckout42
[12.0MiB/0.93s] ./composer.json has been updated
[14.2MiB/0.97s] Running composer update ec-cube/paypalcheckout42 --with-dependencies
[14.3MiB/0.99s] Loading composer repositories with package information
[15.1MiB/1.75s] <warning>Dependency ec-cube/plugin-installer is also a root requirement. Package has not been listed as an update argument, so keeping locked at old version. Use --with-all-dependencies (-W) to include root dependencies.</warning>
[15.4MiB/2.33s] Updating dependencies
[16.2MiB/2.35s] Nothing to modify in lock file
[16.0MiB/2.37s] Writing lock file
[16.0MiB/2.37s] Installing dependencies from lock file
[18.8MiB/2.37s] Package operations: 10 installs, 2 updates, 0 removals

In PluginManager.php line 744:

php-http/discovery contains a Composer plugin which is blocked by your allo
w-plugins config. You may add it to the list if you consider it safe.
You can run "composer config --no-plugins allow-plugins.php-http/discovery
[true|false]" to enable it (true) or disable it explicitly and suppress thi
s exception (false)
See https://getcomposer.org/allow-plugins


require [--dev] [--dry-run] [--prefer-source] [--prefer-dist] [--prefer-install PREFER-INSTALL] [--fixed] [--no-suggest] [--no-progress] [--no-update] [--no-install] [--no-audit] [--audit-format AUDIT-FORMAT] [--update-no-dev] [-w|--update-with-dependencies] [-W|--update-with-all-dependencies] [--with-dependencies] [--with-all-dependencies] [--ignore-platform-req IGNORE-PLATFORM-REQ] [--ignore-platform-reqs] [--prefer-stable] [--prefer-lowest] [--sort-packages] [-o|--optimize-autoloader] [-a|--classmap-authoritative] [--apcu-autoloader] [--apcu-autoloader-prefix APCU-AUTOLOADER-PREFIX] [--] [<packages>...]


{"success":false,"log":"\u003Cwarning\u003EA script named compile would override a Composer command and has been skipped\u003C\/warning\u003E\n\u003Cwarning\u003EA script named auto-scripts would override a Composer command and has been skipped\u003C\/warning\u003E\n\u003Cwarning\u003EA script named installer-scripts would override a Composer command and has been skipped\u003C\/warning\u003E\n[12.0MiB\/0.93s] Using version ^3.0 for ec-cube\/paypalcheckout42\n[12.0MiB\/0.93s] .\/composer.json has been updated\n[14.2MiB\/0.97s] Running composer update ec-cube\/paypalcheckout42 --with-dependencies\n[14.3MiB\/0.99s] Loading composer repositories with package information\n[15.1MiB\/1.75s] \u003Cwarning\u003EDependency ec-cube\/plugin-installer is also a root requirement. Package has not been listed as an update argument, so keeping locked at old version. Use --with-all-dependencies (-W) to include root dependencies.\u003C\/warning\u003E\n[15.4MiB\/2.33s] Updating dependencies\n[16.2MiB\/2.35s] Nothing to modify in lock file\n[16.0MiB\/2.37s] Writing lock file\n[16.0MiB\/2.37s] Installing dependencies from lock file\n[18.8MiB\/2.37s] Package operations: 10 installs, 2 updates, 0 removals\n\nIn PluginManager.php line 744:\n \n php-http\/discovery contains a Composer plugin which is blocked by your allo \n w-plugins config. You may add it to the list if you consider it safe. \n You can run \u0022composer config --no-plugins allow-plugins.php-http\/discovery \n [true|false]\u0022 to enable it (true) or disable it explicitly and suppress thi \n s exception (false) \n See https:\/\/getcomposer.org\/allow-plugins \n \n\nrequire [--dev] [--dry-run] [--prefer-source] [--prefer-dist] [--prefer-install PREFER-INSTALL] [--fixed] [--no-suggest] [--no-progress] [--no-update] [--no-install] [--no-audit] [--audit-format AUDIT-FORMAT] [--update-no-dev] [-w|--update-with-dependencies] [-W|--update-with-all-dependencies] [--with-dependencies] [--with-all-dependencies] [--ignore-platform-req IGNORE-PLATFORM-REQ] [--ignore-platform-reqs] [--prefer-stable] [--prefer-lowest] [--sort-packages] [-o|--optimize-autoloader] [-a|--classmap-authoritative] [--apcu-autoloader] [--apcu-autoloader-prefix APCU-AUTOLOADER-PREFIX] [--] [\u003Cpackages\u003E...]\n\n"
スレッド表示 | 古いものから 前のトピック | 次のトピック | トップ


 



ログイン


EC-CUBE公式 Amazon Payプラグイン

統計情報

総メンバー数は90,173名です
総投稿数は110,324件です

投稿数ランキング

1
seasoft
7369
2
468
3217
3
AMUAMU
2712
4
nanasess
2314
5
umebius
2085
6
yuh
1819
7
h_tanaka
1682
8
red
1571
9
mcontact
1351
10
tsuji
958
11
fukap
907
12
shutta
835
13
tao_s
799
14 ramrun 789
15 karin 689
16 sumida 641
17
homan
633
18 DELIGHT 572
19
patapata
502
20
flealog
485


ネットショップの壺

EC-CUBEインテグレートパートナー

Copyright© EC-CUBE CO.,LTD. All Rights Reserved.